#############
# $Id: daemons.pm 16184 2012-11-04 10:05:28Z dj3 $
# Created By: ajb
# Last Maintained By: $Author: dj3 $
# Created On: 2009-09-15
# Last Changed On: $Date: 2012-11-04 10:05:28 +0000 (Sun, 04 Nov 2012) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-39.0/lib/npg_pipeline/daemons.pm $

package npg_pipeline::daemons;
use Moose;
use Carp;
use English qw{-no_match_vars};
use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 16184 $ =~ /(\d+)/mxs; $r; };

extends q{npg_pipeline::base};

################
# for caching submitted runs

has q{_seen}      => (isa => q{HashRef}, is => q{rw}, default => sub { return {}; });

sub BUILD {
  my ($self) = @_;

  my $test_log_dir = $ENV{TEST_LOG} || q{};
  $self->set_log_file_path( $test_log_dir . $self->filesystem_locations_conf()->{central_log_file_dir} );

  my @temp = split /::/xms, (ref $self);
  $self->set_log_file_name( $temp[0] . q{_} . $temp[-1] . q{.log} );

  return 1;
}

no Moose;
1;
__END__

=head1 NAME

npg_pipeline::daemons

=head1 VERSION

$LastChangedRevision: 16184 $

=head1 SYNOPSIS

  my $runner = npg_pipeline::daemons::<sub_class>->new();
  $runner->run();

=head1 DESCRIPTION

Base module for modules which daemons run

=head1 SUBROUTINES/METHODS

=head2 BUILD

Setups the logging on creation of the derived class object

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item Carp

=item English -no_match_vars

=item Readonly

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: dj3 $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2010 GRL, by Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
