# $Id: 15-pipeline_launcher_scripts.t 16101 2012-10-17 09:37:15Z mg8 $
use strict;
use warnings;
use English qw{-no_match_vars};
use Test::More tests => 5;
use Test::Exception;
use t::util;

my $util = t::util->new();
$util->catch_email();

my $curdir = $util->cwd();
$ENV{TEST_BIN} = $curdir . q{/t/bin/};
$ENV{TEST_DIR} = $util->temp_directory();
my $tmp_dir = $util->temp_directory();

my $bin = $curdir . q[/bin];

my $conf_path = $curdir . q{/data/config_files};
my $rep = $curdir . q{/t/data/sequence};

$ENV{OWNING_GROUP} = q{staff};

my $analysis_runfolder_path = $util->analysis_runfolder_path();
my $outgoing_runfolder_path = $util->outgoing_runfolder_path();

$util->set_rta_staging_analysis_area();

# Script failures
{
  lives_ok { qx{perl $bin/npg_pipeline_post_qc_review --domain test --conf_path $conf_path }; } q{ran bin/npg_pipeline_post_qc_review with no id_run};
  ok($CHILD_ERROR, qq{Return code of $CHILD_ERROR as no id_run or runfolder provided});
}

{
  my $out = `perl $bin/npg_pipeline_PB_cal_bam --domain test --no_bsub  --run_folder 123456_IL2_1234 --runfolder_path $tmp_dir/nfs/sf45/IL2/analysis/123456_IL2_1234 --id_run 1234 --function_order dodo --no_status_updates`;
  like($out, qr/Error submitting jobs: Can't locate object method "dodo" via package "npg_pipeline::pluggable::harold::PB_cal_bam"/, 'error when function does not exist');
}

# Script passes
{
  local $ENV{NPG_WEBSERVICE_CACHE_DIR} = q{t/data};
  lives_ok { qx{perl $bin/npg_pipeline_post_qc_review --domain test --conf_path $conf_path --id_run=1234 --no_folder_moves --no_status_updates --no_spider --runfolder_path $analysis_runfolder_path}; } q{ran bin/npg_pipeline_post_qc_review with id_run};
  ok(!$CHILD_ERROR, qq{Return code of $CHILD_ERROR});
}

`rm -f *out; rm -f Latest_Summary`;
1;

