# $Id: 50-archival_runner.t 16184 2012-11-04 10:05:28Z dj3 $
use strict;
use warnings;
use Test::More tests => 6;
use Test::Exception;
use t::util;

BEGIN {
  use_ok('npg_pipeline::daemons::archival_runner');
}

my $util = t::util->new();
my $conf_path = $util->conf_path();

my $temp_directory = $util->temp_directory();

$ENV{TEST_BIN} = q{t/bin};
$ENV{TEST_LOG} = $temp_directory;
local $ENV{NPG_WEBSERVICE_CACHE_DIR} = q[t/data];

`rm -rf $temp_directory/software/solexa/logs; mkdir -p $temp_directory/software/solexa/logs`;

{
  my $runner;
  lives_ok { $runner = npg_pipeline::daemons::archival_runner->new({
    conf_path => $conf_path,
    domain => q{test},
  }); } q{object creation ok};
  isa_ok($runner, q{npg_pipeline::daemons::archival_runner}, q{$runner});
  lives_ok { $runner->run(); } q{no croak on $runner->run()};
  is($runner->_generate_command(1234), q{source /software/lsf/conf/profile.lsf; t/bin/software/solexa/bin/npg_pipeline_post_qc_review --verbose --id_run=1234}, q{generated command is correct});
}

{
  my $runner = npg_pipeline::daemons::archival_runner->new({
    conf_path => $conf_path,
    domain => q{test},
  });
  lives_ok {
    $runner->run();
    sleep 1;
    $runner->run();
  } q{no croak running through twice - potentially as a daemon process};
}

1;