# $Id: 50-harold_analysis_runner.t 16184 2012-11-04 10:05:28Z dj3 $
use strict;
use warnings;
use Test::More tests => 8;
use Test::Exception;
use t::util;

local $ENV{NPG_WEBSERVICE_CACHE_DIR} = q[t/data];

BEGIN {
  use_ok('npg_pipeline::daemons::harold_analysis_runner');
}

my $util = t::util->new();
my $conf_path = $util->conf_path();

my $temp_directory = $util->temp_directory();

$ENV{TEST_BIN} = q{t/bin};
$ENV{TEST_LOG} = $util->temp_directory();
`rm -rf $temp_directory/software/solexa/logs; mkdir -p $temp_directory/software/solexa/logs`;

{
  my $runner;
  lives_ok { $runner = npg_pipeline::daemons::harold_analysis_runner->new(domain => q{test},); } q{object creation ok};
  isa_ok($runner, q{npg_pipeline::daemons::harold_analysis_runner}, q{$runner});
  lives_ok { $runner->run(); } q{no croak on $runner->run()};
  is($runner->_generate_command( {
    id_run => 1234,
    script => q{npg_pipeline_PB_cal},
    options => q{},
    inst_model => q{HiSeq},
    job_priority=> 50,
  } ), q{source /software/lsf/conf/profile.lsf; t/bin/software/solexa/bin/npg_pipeline_PB_cal --job_priority 50 --verbose --id_run 1234}, q{generated command is correct});
}

{
  my $runner = npg_pipeline::daemons::harold_analysis_runner->new({
    conf_path => $conf_path,
    domain => q{test},
  });

  lives_ok {
    $runner->run();
    sleep 1;
    $runner->run();
  } q{no croak running through twice - potentially as a daemon process};
}

{
  my $runner;
  lives_ok { $runner = npg_pipeline::daemons::harold_analysis_runner->new( {
    conf_path => $conf_path,
    domain => q{test},
    _is_rta => 1,
  } ); } q{object creation ok};
  lives_ok { $runner->run(); } q{no croak on $runner->run()};
}

1;
